using System;
using System.Collections.Generic;
using System.Text;

using NUnit.Framework;
using TypeMock;

namespace MocksArentStubs
{
    [TestFixture]
    public class OrderEasyTester 
    {
        private static String TALISKER = "Talisker";

        [Test]
        public void testFillingRemovesInventoryIfInStock()
        {
            //setup - data
            Order order = new Order(TALISKER, 50);
            Warehouse warehouseMock = new Warehouse();

            //setup - expectations
            using (RecordExpectations recorder = RecorderManager.StartRecording())
            {
                warehouseMock.hasInventory(TALISKER, 50);
                recorder.Return(true);
                warehouseMock.remove(TALISKER, 50);
            }

            //exercise
            order.fill(warehouseMock);

            //verify
            MockManager.Verify();
        }
    
    }
}
